      subroutine KINLIS(KOUNT,SELECT,NSEL,TABLE,OUTPUT,TYPEG,CHEMNA
     &,ECONAM,MCHEMG)
      include 'SIZE.INC'
      include 'UNITS.INC'
      real OUTPUT(7), TABLE(132), TN(4), TFACTR
      integer IERR,KOUNT,ICODE,MCHEMG,IHIT,I,NSEL
      integer SELECT(7)
      character TYPEG(NPX)*1, CHEMNA*50, ECONAM*50
      data TN /1.0, 24.0, 730.5, 8766./
      rewind PLTLUN(MACHNO)
      call KINHED (IERR,CHEMNA,ECONAM,KOUNT,TYPEG,ICODE,MCHEMG)
      if (IERR.eq.1) go to 120
      TFACTR = 1.0
      if (SELECT(1).eq.1) TFACTR = TN(ICODE)
100   continue
      call KINRED (IERR,KOUNT,TABLE,IHIT,MCHEMG)
      if (IERR.eq.2) go to 120
      if (IHIT.eq.0) go to 100
      do 110 I = 1, NSEL
         OUTPUT(I) = TABLE(SELECT(I))
110   continue
      OUTPUT(1) = OUTPUT(1)/TFACTR
      write (TTYOUT(MACHNO),5000) (OUTPUT(I),I=1,NSEL)
5000  format (1X,1PG11.4,6(G11.4))
      go to 100
120   continue
      return
      end
